%define current_version 7.0.17

%global _hardened_build 1

%define _exe_destdir /usr/sbin
%define _util_destdir /usr/libexec/vzreport

Summary:	Submit Support Request wizard
ExclusiveArch:	x86_64
Name:		vzreport
Version:	%{current_version}
Release:        1%{?dist}
License:	GPLv2
Group:		System Environment
Source:		%{name}-%{version}.tar.bz2
ExclusiveOS: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: boost-devel libvzctl-devel vztt-devel libxml2-devel

%description
Wizard for reporting problems with customer's Virtuozzo installation 

%prep
%setup -q

%build
export PSBM="$RPM_OPT_FLAGS"
export LDFLAGS="$RPM_LD_FLAGS"
%make_build

%install
rm -rf $RPM_BUILD_ROOT

%make_install

cat >vzreport  <<EOF
#!/bin/bash
echo 'The vzreport utility is no longer supported in Virtuozzo' >&2
echo 'Use "prlsrvctl problem-report -s" to report a problem.' >&2
exit 200
EOF

install -m 755 vzreport ${RPM_BUILD_ROOT}%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(750, root, root, 755)
%dir %{_util_destdir}
%{_util_destdir}/vzreport_collector
%{_util_destdir}/list_services
%{_exe_destdir}/vzreportxml
%{_bindir}/rebootinfo
%{_sbindir}/vzreport

%changelog
* Tue May 26 2020 VZ Auto Builder <dsilakov@virtuozzo.com> 7.0.17
 - PSBM-104379 (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Jul 31 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.16
 - Collect ploop.log*
 - Update Copyright

* Tue Oct 30 2018 Denis Silakov <dsilakov@virtuozzo.com> 7.0.15
 - PSBM-89212

* Wed Sep 13 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.14
 - MAJOR PSBM-57691 Add libvirt specific information to vzreport.tgz (bkbbkb
<bkb@virtuozzo.com>)

* Tue May 30 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.13-2
- Enable hardened build, see #PSBM-58107

* Mon Mar 20 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.13
 - Add license and update copyrights ( #PSBM-58317 ) (Andrey Bondrov
<abondrov@virtuozzo.com>)

* Thu Dec 15 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.12
 - Collect info not only for started, but for all Containers, see #PSBM-52709

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.11-2
- Rebuild in 7.3 environment

* Tue Oct 11 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.11
 - Add do-upgrade-vz7.log to problem reports, see #PSBM-53324

* Tue Oct 11 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10
 - Add /var/log/phaul*.log and dump dir Container logs into reports,
   see #PSBM-52709

* Tue Sep 20 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9
 - Collect anaconda's logs #PSBM-51695 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Aug 16 2016 Dmitry Andreev <dandreev@virtuozzo.com> 7.0.8
 - Add information about readykernel and kpatch to a report #PSBM-50501

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.7-3
- Technical rebuild, see #PSBM-47948

* Tue Jun 09 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.7
 - Fixed installation paths

* Tue Jun 09 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.6
 - Fixed compilation and switch to libvzctl2 API
 - Fixed build requirements in spec (Alexander Burluka <aburluka@odin.com>)

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.5
 - Fixed build requirements in spec

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.4
 - Fix some errors in spec and sources

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.3
 - Cleared sources file

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.2
 - Fixed Makefile.version

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.1
 - Initial changelog
